# Accounts Profile Partial Update PATCH /api/v1/iam/accounts/profile/ Content-Type: application/json Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/iam/accounts-profile-partial-update ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/iam/accounts/profile/: patch: operationId: accounts-profile-partial-update summary: Accounts Profile Partial Update tags: - subpackage_iam responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/DefaultUserProfile' requestBody: content: application/json: schema: $ref: '#/components/schemas/PatchedDefaultUserProfile' components: schemas: PatchedDefaultUserProfile: type: object properties: id: type: integer username: type: string description: >- Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only. uid: type: string format: uuid created_at: type: string format: date-time updated_at: type: string format: date-time deleted_at: type: - string - 'null' format: date-time created_by: type: - string - 'null' updated_by: type: - string - 'null' deleted_by: type: - string - 'null' email: type: string format: email full_name: type: string theme: type: - string - 'null' login_count: type: integer refresh_count: type: integer referral_code: type: string referred_by: type: - integer - 'null' stripe_customer_id: type: - string - 'null' is_verified: type: boolean aiops_org_id: type: - string - 'null' description: AIOps Clerk organization ID for this user aiops_org_slug: type: - string - 'null' description: AIOps Clerk organization slug for debugging description: |- Default serializer used for user profile. It will use these: * User fields * :ref:`user-hidden-fields-setting` setting * :ref:`user-public-fields-setting` setting * :ref:`user-editable-fields-setting` setting to automagically generate the required serializer fields. title: PatchedDefaultUserProfile DefaultUserProfile: type: object properties: id: type: integer username: type: string description: >- Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only. uid: type: string format: uuid created_at: type: string format: date-time updated_at: type: string format: date-time deleted_at: type: - string - 'null' format: date-time created_by: type: - string - 'null' updated_by: type: - string - 'null' deleted_by: type: - string - 'null' email: type: string format: email full_name: type: string theme: type: - string - 'null' login_count: type: integer refresh_count: type: integer referral_code: type: string referred_by: type: - integer - 'null' stripe_customer_id: type: - string - 'null' is_verified: type: boolean aiops_org_id: type: - string - 'null' description: AIOps Clerk organization ID for this user aiops_org_slug: type: - string - 'null' description: AIOps Clerk organization slug for debugging required: - id - username - uid - created_at - updated_at - email description: |- Default serializer used for user profile. It will use these: * User fields * :ref:`user-hidden-fields-setting` setting * :ref:`user-public-fields-setting` setting * :ref:`user-editable-fields-setting` setting to automagically generate the required serializer fields. title: DefaultUserProfile ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/iam/accounts/profile/" payload = {} headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/iam/accounts/profile/'; const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/accounts/profile/" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/accounts/profile/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.example.com/api/v1/iam/accounts/profile/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.example.com/api/v1/iam/accounts/profile/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/accounts/profile/"); var request = new RestRequest(Method.PATCH); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/accounts/profile/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```